Name:           python-cdbx
Version:        0.2.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CDB reimplementation for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://opensource.perlig.de/cdbx/
Source:         %{pypi_source cdbx}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cdbx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cdbx
Summary:        %{summary}

%description -n python3-cdbx %_description


%prep
%autosetup -p1 -n cdbx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cdbx -f %{pyproject_files}


%changelog
%autochangelog